csmic Namespace

A Sandcastle Documented Class Library
csmic Namespace
Namespaces ► csmic
CS-MIC - C# Math Input Control
A library designed to give access to simple expression solving and scripting.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
namespace csmic
Namespace csmic
namespace csmic
package csmic
Type.createNamespace('csmic');
Types
All Types Classes Interfaces
Icon | Type | Description
 | ICodedFunction | Implements a function that is coded in the .Net environment.
 | InputInterpreter | An interpreter object that reads user input and evaluates the code.
 | InterpretedFunction | Represents a user defined function that can be executed by the interpreter.
 | MacroBuilder | A builder object that executes macro scripts.
http://cs-mic.sourceforge.net/


ICodedFunction Interface

ICodedFunction Interface
Namespaces ► csmic ► ICodedFunction
CS-MIC - C# Math Input Control
Implements a function that is coded in the .Net environment.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public interface ICodedFunction
Public Interface ICodedFunction
public interface class ICodedFunction
public interface ICodedFunction
csmic.ICodedFunction = function();
csmic.ICodedFunction.createInterface('csmic.ICodedFunction');
Members
All Members | Methods | Properties
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | Execute(array<Decimal>[]()[]) | Executes a code block that computes the value of the function.
 | FunctionName | Gets the name of the function.
 | NumExpectedArguments | Gets the number of expected arguments.
Remarks
This interface is required to implement a method or function that can be used by the CS-MIC inputInterpreter. It is worth noting that the function's name will be the text that is used in the inputInterpreter as the executable text.

http://cs-mic.sourceforge.net/
Assembly: csmic (Module: csmic) Version: 1.0.0.0 (1.0.0.0)


Execute Method (args)

Execute Method (args)
Namespaces ► csmic ► ICodedFunction ► Execute(array<Decimal>[]()[])
CS-MIC - C# Math Input Control
Executes a code block that computes the value of the function.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
decimal Execute(
    params decimal[] args
)
Function Execute ( _
    ParamArray args As Decimal() _
) As Decimal
Decimal Execute(
    ... array<Decimal>^ args
)
Decimal Execute(
    Decimal[] args
)
function Execute(... args);
Parameters
args (array< Decimal >[]()[])
An array of arguments passed to the function.
Return Value
The decimal value computed by the function.
Remarks
Any code block is valid. Error handling must be done by the developer, as the inputInterpreter cannot determine if there is an error.
Examples
This example shows how to implement the sine function through the interface's Execute() function.
CopyC#
 public decimal Execute(params decimal[] args)
{
    //Set up an output variable.
    decimal output = 0;

    //Check to see if the number or arguments recieved
    //is equal to the number of arguments expected.
    if (args.Length == this.NumExpectedArguments)
    {
        //Grab the argument and set a local variable for clarity.
        decimal input = args[0];

        //Set the output as a sine of the input.
        output = (decimal)Math.Sin((double)input);
    }

    //Return the output. The function will return the sine if the arguments
    //matched what was expected, and will return 0 otherwise. Returning 0 on
    //errors is the standard in CS-MIC.
    return output;
}


FunctionName Property

FunctionName Property
Namespaces ► csmic ► ICodedFunction ► FunctionName
CS-MIC - C# Math Input Control
Gets the name of the function.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
string FunctionName { get; }
ReadOnly Property FunctionName As String
property String^ FunctionName {
    String^ get ();
}
/** @property */
String get_FunctionName()

function get_FunctionName();
Remarks
The input inputInterpreter will use this function name as executable text, expecting an opening and closing parenthesis following it.


NumExpectedArguments Property

NumExpectedArguments Property
Namespaces ► csmic ► ICodedFunction ► NumExpectedArguments
CS-MIC - C# Math Input Control
Gets the number of expected arguments.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
int NumExpectedArguments { get; }
ReadOnly Property NumExpectedArguments As Integer
property int NumExpectedArguments {
    int get ();
}
/** @property */
int get_NumExpectedArguments()

function get_NumExpectedArguments();


InputInterpreter Class

InputInterpreter Class
Namespaces ► csmic ► InputInterpreter
CS-MIC - C# Math Input Control
An interpreter object that reads user input and evaluates the code.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public class InputInterpreter
Public Class InputInterpreter
public ref class InputInterpreter
public class InputInterpreter
csmic.InputInterpreter = function();

Type.createClass(
    'csmic.InputInterpreter');
Members
All Members | Constructors | Methods | Properties | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InputInterpreter()()() | Creates a new InputInterpreter.
 | InputInterpreter(InputInterpreter) | Creates a new InputInterpreter from an original.
 | Assign(String, Decimal) | Assigns a decimal value to a variable.
 | Assign(String, String) | Assigns a decimal value to a variable.
 | Assign(String, array<Decimal>[]()[]) | Assigns a decimal value to a variable.
 | Binary | Gets the value (cast as a long) converted to its binary equivalent.
 | CodedFunctions | Gets or sets a list of coded functions that the interpreter supports.
 | ComputeExpression(String) | Computes an expression and returns the result as a decimal.
 | Decimal | Gets the value of the output as a decimal.
 | Double | Gets the value of the output cast as a double.
 | ExecuteFunction(String, array<Decimal>[]()[]) | Executes a function stored in the interpreter.
 | Float | Gets the value of the output cast as a float.
 | Int | Gets the value of the output cast as an int.
 | Interpret(String) | Interprets and executes given input.
 | InterpretedFunctions | Gets or sets a list of user generated interpreted functions that the interpreter supports.
 | LastExecutionTime | Gets the execution time of the last calculation.
 | Message | Gets the verbose message that is generated with a calculation.
 | Output | Gets the message that represents the InputInterpreters output.
 | ProduceOutput(Object) | Produces output given a single object.
 | variables | The variables assigned.
Remarks
The interpreter does not support exceptions by design. Instead, invalid calculations, parameters, etc. will result in a result of zero.
CopyC#
InputInterpreter interpreter = new InputInterpreter();
interpreter.Interpret("1/0"); // The result will be 0, not an exception.
Inheritance Hierarchy
Object
InputInterpreter


InputInterpreter Constructor

InputInterpreter Constructor
Namespaces ► csmic ► InputInterpreter ► InputInterpreter()()()
CS-MIC - C# Math Input Control
Members
Icon | Member | Description
 | InputInterpreter()()() | Creates a new InputInterpreter.
 | InputInterpreter(InputInterpreter) | Creates a new InputInterpreter from an original.


InputInterpreter Constructor

InputInterpreter Constructor
Namespaces ► csmic ► InputInterpreter ► InputInterpreter()()()
CS-MIC - C# Math Input Control
Creates a new InputInterpreter.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public InputInterpreter()
Public Sub New
public:
InputInterpreter()
public InputInterpreter()
csmic.InputInterpreter = function();


InputInterpreter Constructor (original)

InputInterpreter Constructor (original)
Namespaces ► csmic ► InputInterpreter ► InputInterpreter(InputInterpreter)
CS-MIC - C# Math Input Control
Creates a new InputInterpreter from an original.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public InputInterpreter(
    InputInterpreter original
)
Public Sub New ( _
    original As InputInterpreter _
)
public:
InputInterpreter(
    InputInterpreter^ original
)
public InputInterpreter(
    InputInterpreter original
)
csmic.InputInterpreter = function(original);
Parameters
original (InputInterpreter)
The orginal input interpreter to copy.


Assign Method

Assign Method
Namespaces ► csmic ► InputInterpreter ► Assign()()()
CS-MIC - C# Math Input Control
Members
Icon | Member | Description
 | Assign(String, Decimal) | Assigns a decimal value to a variable.
 | Assign(String, String) | Assigns a decimal value to a variable.
 | Assign(String, array<Decimal>[]()[]) | Assigns a decimal value to a variable.


Assign Method (name, value)

Assign Method (name, value)
Namespaces ► csmic ► InputInterpreter ► Assign(String, Decimal)
CS-MIC - C# Math Input Control
Assigns a decimal value to a variable.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
internal bool Assign(
    string name,
    decimal value
)
Friend Function Assign ( _
    name As String, _
    value As Decimal _
) As Boolean
internal:
bool Assign(
    String^ name,
    Decimal value
)
 boolean Assign(
    String name,
    Decimal value
)
function Assign(name, value);
Parameters
name (String)
The name of the variable.
value (Decimal)
The value of the variable.
Return Value
True if the variable was set, false otherwise.


Assign Method (name, values)

Assign Method (name, values)
Namespaces ► csmic ► InputInterpreter ► Assign(String, array<Decimal>[]()[])
CS-MIC - C# Math Input Control
Assigns a decimal value to a variable.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
internal bool Assign(
    string name,
    decimal[] values
)
Friend Function Assign ( _
    name As String, _
    values As Decimal() _
) As Boolean
internal:
bool Assign(
    String^ name,
    array<Decimal>^ values
)
 boolean Assign(
    String name,
    Decimal[] values
)
function Assign(name, values);
Parameters
name (String)
The name of the variable.
values (array< Decimal >[]()[])
The values of the variable.
Return Value
True if the variable was set, false otherwise.


Assign Method (name, expression)

Assign Method (name, expression)
Namespaces ► csmic ► InputInterpreter ► Assign(String, String)
CS-MIC - C# Math Input Control
Assigns a decimal value to a variable.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
internal bool Assign(
    string name,
    string expression
)
Friend Function Assign ( _
    name As String, _
    expression As String _
) As Boolean
internal:
bool Assign(
    String^ name,
    String^ expression
)
 boolean Assign(
    String name,
    String expression
)
function Assign(name, expression);
Parameters
name (String)
The name of the variable.
expression (String)
The expression of the variable.
Return Value
True if the variable was set, false otherwise.


Binary Property

Binary Property
Namespaces ► csmic ► InputInterpreter ► Binary
CS-MIC - C# Math Input Control
Gets the value (cast as a long) converted to its binary equivalent.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public string Binary { get; }
Public ReadOnly Property Binary As String
public:
property String^ Binary {
    String^ get ();
}
/** @property */
public String get_Binary()

function get_Binary();


CodedFunctions Property

CodedFunctions Property
Namespaces ► csmic ► InputInterpreter ► CodedFunctions
CS-MIC - C# Math Input Control
Gets or sets a list of coded functions that the interpreter supports.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public List<ICodedFunction> CodedFunctions { get; set; }
Public Property CodedFunctions As List(Of ICodedFunction)
public:
property List<ICodedFunction^>^ CodedFunctions {
    List<ICodedFunction^>^ get ();
    void set (List<ICodedFunction^>^ value);
}
/** @property */
public List<ICodedFunction> get_CodedFunctions()
/** @property */
public  void set_CodedFunctions(List<ICodedFunction> value)

function get_CodedFunctions();
function set_CodedFunctions(value);


ComputeExpression Method (expression)

ComputeExpression Method (expression)
Namespaces ► csmic ► InputInterpreter ► ComputeExpression(String)
CS-MIC - C# Math Input Control
Computes an expression and returns the result as a decimal.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public decimal ComputeExpression(
    string expression
)
Public Function ComputeExpression ( _
    expression As String _
) As Decimal
public:
Decimal ComputeExpression(
    String^ expression
)
public Decimal ComputeExpression(
    String expression
)
function ComputeExpression(expression);
Parameters
expression (String)
The expression to be calculated.
Return Value
The value that was computed.


Decimal Property

Decimal Property
Namespaces ► csmic ► InputInterpreter ► Decimal
CS-MIC - C# Math Input Control
Gets the value of the output as a decimal.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public decimal Decimal { get; }
Public ReadOnly Property Decimal As Decimal
public:
property Decimal Decimal {
    Decimal get ();
}
/** @property */
public Decimal get_Decimal()

function get_Decimal();


Double Property

Double Property
Namespaces ► csmic ► InputInterpreter ► Double
CS-MIC - C# Math Input Control
Gets the value of the output cast as a double.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public double Double { get; }
Public ReadOnly Property Double As Double
public:
property double Double {
    double get ();
}
/** @property */
public double get_Double()

function get_Double();


ExecuteFunction Method (name, args)

ExecuteFunction Method (name, args)
Namespaces ► csmic ► InputInterpreter ► ExecuteFunction(String, array<Decimal>[]()[])
CS-MIC - C# Math Input Control
Executes a function stored in the interpreter.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
internal decimal ExecuteFunction(
    string name,
    decimal[] args
)
Friend Function ExecuteFunction ( _
    name As String, _
    args As Decimal() _
) As Decimal
internal:
Decimal ExecuteFunction(
    String^ name,
    array<Decimal>^ args
)
 Decimal ExecuteFunction(
    String name,
    Decimal[] args
)
function ExecuteFunction(name, args);
Parameters
name (String)
The name of the function to execute.
args (array< Decimal >[]()[])
The arguments to pass to the function.
Return Value
The value computed from the function execution.


Float Property

Float Property
Namespaces ► csmic ► InputInterpreter ► Float
CS-MIC - C# Math Input Control
Gets the value of the output cast as a float.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public float Float { get; }
Public ReadOnly Property Float As Single
public:
property float Float {
    float get ();
}
/** @property */
public float get_Float()

function get_Float();


Int Property

Int Property
Namespaces ► csmic ► InputInterpreter ► Int
CS-MIC - C# Math Input Control
Gets the value of the output cast as an int.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public int Int { get; }
Public ReadOnly Property Int As Integer
public:
property int Int {
    int get ();
}
/** @property */
public int get_Int()

function get_Int();


Interpret Method (input)

Interpret Method (input)
Namespaces ► csmic ► InputInterpreter ► Interpret(String)
CS-MIC - C# Math Input Control
Interprets and executes given input.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public void Interpret(
    string input
)
Public Sub Interpret ( _
    input As String _
)
public:
void Interpret(
    String^ input
)
public void Interpret(
    String input
)
function Interpret(input);
Parameters
input (String)
The input to interpret and execute.


InterpretedFunctions Property

InterpretedFunctions Property
Namespaces ► csmic ► InputInterpreter ► InterpretedFunctions
CS-MIC - C# Math Input Control
Gets or sets a list of user generated interpreted functions that the interpreter supports.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public List<InterpretedFunction> InterpretedFunctions { get; set; }
Public Property InterpretedFunctions As List(Of InterpretedFunction)
public:
property List<InterpretedFunction^>^ InterpretedFunctions {
    List<InterpretedFunction^>^ get ();
    void set (List<InterpretedFunction^>^ value);
}
/** @property */
public List<InterpretedFunction> get_InterpretedFunctions()
/** @property */
public  void set_InterpretedFunctions(List<InterpretedFunction> value)

function get_InterpretedFunctions();
function set_InterpretedFunctions(value);


LastExecutionTime Property

LastExecutionTime Property
Namespaces ► csmic ► InputInterpreter ► LastExecutionTime
CS-MIC - C# Math Input Control
Gets the execution time of the last calculation.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public TimeSpan LastExecutionTime { get; }
Public ReadOnly Property LastExecutionTime As TimeSpan
public:
property TimeSpan LastExecutionTime {
    TimeSpan get ();
}
/** @property */
public TimeSpan get_LastExecutionTime()

function get_LastExecutionTime();


Message Property

Message Property
Namespaces ► csmic ► InputInterpreter ► Message
CS-MIC - C# Math Input Control
Gets the verbose message that is generated with a calculation.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public string Message { get; }
Public ReadOnly Property Message As String
public:
property String^ Message {
    String^ get ();
}
/** @property */
public String get_Message()

function get_Message();


Output Property

Output Property
Namespaces ► csmic ► InputInterpreter ► Output
CS-MIC - C# Math Input Control
Gets the message that represents the InputInterpreters output.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public string Output { get; }
Public ReadOnly Property Output As String
public:
property String^ Output {
    String^ get ();
}
/** @property */
public String get_Output()

function get_Output();


ProduceOutput Method (output)

ProduceOutput Method (output)
Namespaces ► csmic ► InputInterpreter ► ProduceOutput(Object)
CS-MIC - C# Math Input Control
Produces output given a single object.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
internal void ProduceOutput(
    Object output
)
Friend Sub ProduceOutput ( _
    output As Object _
)
internal:
void ProduceOutput(
    Object^ output
)
 void ProduceOutput(
    Object output
)
function ProduceOutput(output);
Parameters
output (Object)
The object representing the output.


variables Field

variables Field
Namespaces ► csmic ► InputInterpreter ► variables
CS-MIC - C# Math Input Control
The variables assigned.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
internal Dictionary<string, Variable> variables
Friend variables As Dictionary(Of String, Variable)
internal:
Dictionary<String^, Variable^>^ variables
 Dictionary<String, Variable> variables
var variables


InterpretedFunction Class

InterpretedFunction Class
Namespaces ► csmic ► InterpretedFunction
CS-MIC - C# Math Input Control
Represents a user defined function that can be executed by the interpreter.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public class InterpretedFunction
Public Class InterpretedFunction
public ref class InterpretedFunction
public class InterpretedFunction
csmic.InterpretedFunction = function();

Type.createClass(
    'csmic.InterpretedFunction');
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterpretedFunction(String, MacroOperation, array<String>[]()[]) | Creates a new interpreted function.
 | Compute(array<Decimal>[]()[]) | Computes the value of the function.
 | Equals(Object) | Because a function's internal pattern may be different, we must manually check to see if the function names are the same. (Overrides Object.Equals(Object).)
 | Name | Gets the name of the function.
 | NumExpectedArguments | Gets the number of expected arguments for the function.
Inheritance Hierarchy
Object
InterpretedFunction


InterpretedFunction Constructor (name, script, args)

InterpretedFunction Constructor (name, script, args)
Namespaces ► csmic ► InterpretedFunction ► InterpretedFunction(String, MacroOperation, array<String>[]()[])
CS-MIC - C# Math Input Control
Creates a new interpreted function.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
internal InterpretedFunction(
    string name,
    MacroOperation script,
    params string[] args
)
Friend Sub New ( _
    name As String, _
    script As MacroOperation, _
    ParamArray args As String() _
)
internal:
InterpretedFunction(
    String^ name,
    MacroOperation^ script,
    ... array<String^>^ args
)
 InterpretedFunction(
    String name,
    MacroOperation script,
    String[] args
)
csmic.InterpretedFunction = function(name, script, ... args);
Parameters
name (String)
The name of the fuction.
script (MacroOperation)
The node to be used in computation.
args (array< String >[]()[])
A set of argument names to be used in computation.


Compute Method (args)

Compute Method (args)
Namespaces ► csmic ► InterpretedFunction ► Compute(array<Decimal>[]()[])
CS-MIC - C# Math Input Control
Computes the value of the function.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public string Compute(
    params decimal[] args
)
Public Function Compute ( _
    ParamArray args As Decimal() _
) As String
public:
String^ Compute(
    ... array<Decimal>^ args
)
public String Compute(
    Decimal[] args
)
function Compute(... args);
Parameters
args (array< Decimal >[]()[])
The arguments used for computation.
Return Value
The decimal value computed by the function.


Equals Method (obj)

Equals Method (obj)
Namespaces ► csmic ► InterpretedFunction ► Equals(Object)
CS-MIC - C# Math Input Control
Because a function's internal pattern may be different, we must manually check to see if the function names are the same.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public boolean Equals(
    Object obj
)
function Equals(obj);
Parameters
obj (Object)
The object to test.
Return Value
True if the functions are the same.


Name Property

Name Property
Namespaces ► csmic ► InterpretedFunction ► Name
CS-MIC - C# Math Input Control
Gets the name of the function.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public string Name { get; }
Public ReadOnly Property Name As String
public:
property String^ Name {
    String^ get ();
}
/** @property */
public String get_Name()

function get_Name();


NumExpectedArguments Property

NumExpectedArguments Property
Namespaces ► csmic ► InterpretedFunction ► NumExpectedArguments
CS-MIC - C# Math Input Control
Gets the number of expected arguments for the function.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public int NumExpectedArguments { get; }
Public ReadOnly Property NumExpectedArguments As Integer
public:
property int NumExpectedArguments {
    int get ();
}
/** @property */
public int get_NumExpectedArguments()

function get_NumExpectedArguments();


MacroBuilder Class

MacroBuilder Class
Namespaces ► csmic ► MacroBuilder
CS-MIC - C# Math Input Control
A builder object that executes macro scripts.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public class MacroBuilder
Public Class MacroBuilder
public ref class MacroBuilder
public class MacroBuilder
csmic.MacroBuilder = function();

Type.createClass(
    'csmic.MacroBuilder');
Members
All Members | Constructors | Properties
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | MacroBuilder(String, InputInterpreter) | Creates a new builder object that executes a given macro script.
 | MacroBuilder(MacroOperation, InputInterpreter) | Creates a new builder object that executes a given macro script.
 | FinalOutput | Gets the decimal value last computed by the macrobuilder.
 | LastExecutionTime | Gets the execution time of the last script computation.
 | Output | Gets a list of strings representing the output.
Inheritance Hierarchy
Object
MacroBuilder


MacroBuilder Constructor

MacroBuilder Constructor
Namespaces ► csmic ► MacroBuilder ► MacroBuilder()()()
CS-MIC - C# Math Input Control
Members
Icon | Member | Description
 | MacroBuilder(String, InputInterpreter) | Creates a new builder object that executes a given macro script.
 | MacroBuilder(MacroOperation, InputInterpreter) | Creates a new builder object that executes a given macro script.


MacroBuilder Constructor (script, inputInterpreter)

MacroBuilder Constructor (script, inputInterpreter)
Namespaces ► csmic ► MacroBuilder ► MacroBuilder(MacroOperation, InputInterpreter)
CS-MIC - C# Math Input Control
Creates a new builder object that executes a given macro script.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
internal MacroBuilder(
    MacroOperation script,
    InputInterpreter inputInterpreter
)
Friend Sub New ( _
    script As MacroOperation, _
    inputInterpreter As InputInterpreter _
)
internal:
MacroBuilder(
    MacroOperation^ script,
    InputInterpreter^ inputInterpreter
)
 MacroBuilder(
    MacroOperation script,
    InputInterpreter inputInterpreter
)
csmic.MacroBuilder = function(script, inputInterpreter);
Parameters
script (MacroOperation)
A list of strings representing the macro.
inputInterpreter (InputInterpreter)
The InputInterpreter to be used.


MacroBuilder Constructor (script, inputInterpreter)

MacroBuilder Constructor (script, inputInterpreter)
Namespaces ► csmic ► MacroBuilder ► MacroBuilder(String, InputInterpreter)
CS-MIC - C# Math Input Control
Creates a new builder object that executes a given macro script.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public MacroBuilder(
    string script,
    InputInterpreter inputInterpreter
)
Public Sub New ( _
    script As String, _
    inputInterpreter As InputInterpreter _
)
public:
MacroBuilder(
    String^ script,
    InputInterpreter^ inputInterpreter
)
public MacroBuilder(
    String script,
    InputInterpreter inputInterpreter
)
csmic.MacroBuilder = function(script, inputInterpreter);
Parameters
script (String)
A list of strings representing the macro.
inputInterpreter (InputInterpreter)
The InputInterpreter to be used.


FinalOutput Property

FinalOutput Property
Namespaces ► csmic ► MacroBuilder ► FinalOutput
CS-MIC - C# Math Input Control
Gets the decimal value last computed by the macrobuilder.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public string FinalOutput { get; }
Public ReadOnly Property FinalOutput As String
public:
property String^ FinalOutput {
    String^ get ();
}
/** @property */
public String get_FinalOutput()

function get_FinalOutput();


LastExecutionTime Property

LastExecutionTime Property
Namespaces ► csmic ► MacroBuilder ► LastExecutionTime
CS-MIC - C# Math Input Control
Gets the execution time of the last script computation.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public TimeSpan LastExecutionTime { get; }
Public ReadOnly Property LastExecutionTime As TimeSpan
public:
property TimeSpan LastExecutionTime {
    TimeSpan get ();
}
/** @property */
public TimeSpan get_LastExecutionTime()

function get_LastExecutionTime();


Output Property

Output Property
Namespaces ► csmic ► MacroBuilder ► Output
CS-MIC - C# Math Input Control
Gets a list of strings representing the output.
Declaration Syntax
C# Visual Basic Visual C++ J# JavaScript
public List<string> Output { get; }
Public ReadOnly Property Output As List(Of String)
public:
property List<String^>^ Output {
    List<String^>^ get ();
}
/** @property */
public List<String> get_Output()

function get_Output();